Loading...
Searching...
No Matches
Opm::is_gpu_matrix< T > Struct Template Reference

Check if a given operator is a GPU matrix. More...

`#include <is_gpu_operator.hpp>`

## Static Public Attributes

static constexpr bool | value = false

## Detailed Description

template<typename T>
struct Opm::is_gpu_matrix< T >

Check if a given operator is a GPU matrix.

This is used to check if the matrix is a GPU matrix, which is used in say the preconditioners to specialize

Template Parameters

  T | The type of the matrix to check.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/is_gpu_operator.hpp